---
glxclans_dns_enable: true

glxclans_dns_allow_query: ['any']
glxclans_dns_listen_ipv4:
  - "127.0.0.1"
  - "{{ ansible_default_ipv4.address }}"

glxclans_system_base_domain: "clans.galaxie.rtnp"

glxclans_dns_tsig_keys:
  - name: "{{ glxclans_system_base_domain }}."
    algorithm: hmac-sha256

  - name: "molecule"
    algorithm: hmac-sha256

glxclans_dns_zone_domains:
  - name: "{{ glxclans_system_base_domain }}"
    type: master
    allow_update:
      - "key {{ glxclans_system_base_domain }}."
      - "key molecule"
    hostmaster_email: "hostmaster.{{ glxclans_system_base_domain }}"
    name_servers: # CHANGE template to support object and attributes directly from there
      - ns1
    mail_servers:
      - name: mx1
        preference: 10
    text:
      - name: "{{ glxclans_system_base_domain }}."
        text: "v=spf1 mx -all"
    hosts:
      - name: "ns1"
        ip: "192.168.42.168"

glxclans_dns_recursion: true
glxclans_dns_allow_recursion:
  - "127.0.0.1"
glxclans_dns_forwarders:
  - "127.0.0.1"
